function [signal,dt] = genrect_mod(width,points,f0)

% ----------------------------
% Step One - waveform evaluation
% ----------------------------

dt = width / points;       % sampling period
signal = zeros(1,5*points);


mod=cos(2.*pi.*f0.*linspace(1,5*width,5*points));

signal(2*points:3*points-1)=ones(1,points);
signal=signal.*mod;

%signal=cos(2.*pi.*f0.*linspace(1,width,points));
%alternative approach:

%signal(2*points:3*points-1)=mod(2*points:3*points-1);
